#LIMITAZIONE DELLA RESPONSABILITA'. 
#Il software  fornito "cos com'", senza garanzie di  sorta.
setwd(choose.dir(default = "", caption = "WHERE ARE MICRODATA?"))
direttorio = getwd()
fileInput = paste (direttorio, "/ISTAT_MFR_ICT_Microdati_2016_ESEMPIO_STRUTTURA_FILE.txt", sep="")
DF_ICT_A2016<- read.delim2 (fileInput,  header=T, sep="^",  quote="",  na.strings = ".")
attr(DF_ICT_A2016, "label") <- c(
"Codice progressivo",
"Classe di ricavi da vendita di beni e servizi",
"Utilizzo di computer nell'Impresa",
"Percentuale di addetti usano computer",
"Impiego di addetti specialisti in materie informatiche",
"Corsi di formazione IT destinati agli addetti con competenze specialistiche in ICT",
"Corsi di formazione IT destinati agli addetti senza competenze specialistiche in ICT",
"Ha assunto o ha provato ad assumere specialisti ICT",
"difficolt a coprire i posti vacanti per specialisti ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Manutenzione delle infrastrutture ICT",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per i software di ufficio",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo di sistemi e di software di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per software e sistemi di gestione aziendale",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Supporto per lo sviluppo web",
"Utilizzo prevalente di persone che fanno parte del gruppo di imprese o esterne per Gestione della sicurezza ICT e protezione dei dati",
"Connessione ad Internet",
"Percentuale di addetti usano computer connessi Internet",
"Tipo di connessione: fissa in banda larga  -  DSL (xDSL, ADSL, SDSL, VDSL, ecc.), via cavo, fibre ottiche (FTTH), connessioni fisse senza fili, WiFi (anche pubbliche), WiMax",
"Velocit max download connessione fissa in banda larga",
"Tipo di connessione: mobile in banda larga  (in banda larga: connessione che utilizza la rete telefonica mobile 3G o 4G )",
"Percentuale di addetti provvisti di dispositivi portatili forniti dallimpresa che permettono la connessione mobile ad Internet  (in banda larga o meno)",
"scopi della fornitura agli addetti dispositivi portatili da parte dell'impresa: accesso ai sistemi di posta elettronica aziendale",
"scopi della fornitura agli addetti dispositivi portatili da parte dell'impresa: accesso e possibilit di modifica dei documenti aziendali",
"scopi della fornitura agli addetti dispositivi portatili da parte dell'impresa: utlizzo di specifiche applicazioni software aziendali",
"Sito web",
"Possibilit di effettuare ordinazioni o prenotazioni on line (es. carrello della spesa on line)",
"Tracciabilit on line dellordine",
"Accesso a cataloghi di prodotti o listini prezzi",
"Possibilit di personalizzare i contenuti del sito per i visitatori abituali",
"Possibilit per i visitatori del sito di personalizzare o progettare prodotti",
"Annuncio di posti di lavoro vacanti o possibilit di effettuare domande di impiego on line",
"Collegamenti o riferimenti ai profili dellimpresa sui social media",
"Utilizzo SM per tipologia: social network (ad es. Facebook, Linkedln, Xing, Viadeo, Yammer)",
"Utilizzo SM per tipologia: blog o microblog dellimpresa (ad es. TWItter, Present.ly)",
"Utilizzo SM per tipologia: siti web di condivisione di contenuti multimediali (ad es. YouTube, Flickr, Picasa, SlideShare)",
"Utilizzo SM per tipologia: strumenti di tipo Wiki basati sulla condivisione delle conoscenze",
"Collegamento in remoto per gli addetti dell'impresa",
"Pubblicit a pagamento su Internet",
"Pubblicita a pagamento su Internet, metodi di pubblicit mirata: ricerca contenuti web",
"Pubblicita a pagamento su Internet, metodi di pubblicit mirata: tracciabilit degli utenti",
"Pubblicita a pagamento su Internet, metodi di pubblicit mirata: geolocalizzazione degli utenti",
"Pubblicita a pagamento su Internet, metodi di pubblicit mirata: altri metodi",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Adempimenti e procedure per il lavoro (INPS/INAIL): Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure per il lavoro (INPS/INAIL): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione dei redditi dell'impresa: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione dei redditi dell'impresa: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Dichiarazione dei redditi dell'impresa: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Dichiarazione dei redditi dell'impresa: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione dei redditi dell'impresa: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione dei redditi dell'impresa: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazione IVA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazione IVA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazione IVA: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Dichiarazione IVA: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Dichiarazione IVA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazione IVA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazione IVA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Timori legati alla sicurezza o alla riservatezza dei dati",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Sportello Unico per le attivit Produttive (permessi di costruire, dichiarazione di inizio attivit, ecc): Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, al",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Adempimenti e procedure in materia edilizia: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Adempimenti e procedure in materia edilizia: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Adempimenti e procedure in materia edilizia: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Adempimenti e procedure in materia edilizia: Timori legati alla sicurezza o alla riservatezza dei dati",
"Adempimenti e procedure in materia edilizia: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Adempimenti e procedure in materia edilizia: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Timori legati alla sicurezza o alla riservatezza dei dati",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Dichiarazioni doganali (dazi, accise), comunicazioni Intrastat: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Partecipazioni a gare d'appalto e bandi on-line della PA: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Partecipazioni a gare d'appalto e bandi on-line della PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della fatturazione elettronica con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della fatturazione elettronica con la PA: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Utilizzo della fatturazione elettronica con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Utilizzo della fatturazione elettronica con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della fatturazione elettronica con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della fatturazione elettronica con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche troppo complicate e dispendiose in termini di tempo",
"Utilizzo della PEC per interagire con la PA: Procedure elettroniche che richiedono ancora la presentazione di documenti cartacei",
"Utilizzo della PEC per interagire con la PA: Difficolt tecniche dipendenti dal sito web/portale (interruzioni procedure, procedure lente)",
" Utilizzo della PEC per interagire con la PA: Informazioni insufficienti o poco chiare; mancanza di supporto ",
"Utilizzo della PEC per interagire con la PA: Timori legati alla sicurezza o alla riservatezza dei dati",
"Utilizzo della PEC per interagire con la PA: Nessun problema nellutilizzo del servizio offerto on-line dalla PA",
"Utilizzo della PEC per interagire con la PA: Limpresa non utilizza il servizio e/o si avvale di un intermediario (commercialista, CAF, altra impresa del gruppo, ecc.)",
"Utilizzo di servizi di cloud computing su Internet",
"Tipologia servizi cloud utilizzati: servizi di posta elettronica",
"Tipologia servizi cloud utilizzati: software per ufficio",
"Tipologia servizi cloud utilizzati: hosting di database dellimpresa",
"Tipologia servizi cloud utilizzati: archiviazione di file",
"Tipologia servizi cloud utilizzati: applicazioni software di finanza e contabilit",
"Tipologia servizi cloud utilizzati: applicazioni software CRM per gestire le informazioni relative ai propri clienti",
"Tipologia servizi cloud utilizzati: potenza di calcolo per eseguire il software dellimpresa",
"Tipologia di fornitura di servizi cloud: server condivisi (cloud pubblico)",
"Tipologia di fornitura di servizi cloud: server riservati (cloud privato)",
"Utilizzo software ERP",
"Utilizzo software CRM analitico",
"Utilizzo software CRM operativo",
"Big Data Analisys - fonti di dati: dispositivi intelligenti o sensori",
"Big Data Analisys - fonti di dati: geolocalizzazione derivante dall'utilizzo di dispositivi portatili",
"Big Data Analisys - fonti di dati: social media",
"Big Data Analisys - fonti di dati: altro",
"Big Data Analisys: personale interno",
"Big Data Analisys: personale esterno",
"Invio fatture: in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Invio fatture: in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF)",
"Invio fatture: cartacee",
"Ricezione fatture: in formato elettronico standard adatto per lelaborazione  automatica dei dati (ad es. EDI, UBL, XML)",
"Ricezione fatture: in formato elettronico non adatto per lelaborazione automatica (ad es. email, allegati email in formato PDF) + cartacee",
"Ordini di vendita attraverso sito web",
"Classe di valore percentuale degli ordini di vendita sito web",
"Vendite attraverso sito web a consumatori privati (B2C)",
"Vendite attraverso sito web ad altre imprese (B2B) o alla Pubblica Amministrazione (B2G)",
"Area geografica del cliente web: Italia",
"Area geografica del cliente web: Paesi EU",
"Area geografica del cliente web: Resto del Mondo",
"Ostacoli alle vendite via web: I prodotti o servizi dellimpresa non sono adatti alle vendite via web",
"Ostacoli alle vendite via web: Problemi legati alla logistica (trasporto, spedizione e consegna delle merci) delle vendite via web",
"Ostacoli alle vendite via web: Problemi relativi ai pagamenti delle vendite via web",
"Ostacoli alle vendite via web: Problemi delle vendite via web legati alla sicurezza informatica o alla protezione dei dati",
"Ostacoli alle vendite via web: Problemi delle vendite via web legati al quadro legislativo di riferimento",
"Ostacoli alle vendite via web: I costi legati allintroduzione delle vendite via web sono stati o potrebbero essere troppo elevati rispetto ai benefici",
"Ostacoli alle vendite via web: Altro ostacolo o impedimento",
"Ordini di vendita attraverso sistemi di tipo EDI",
"Classe di valore percentuale degli ordini di vendita sistemi di tipo EDI",
"Area geografica del cliente Edi: Italia",
"Area geografica del cliente Edi: Paesi EU",
"Area geografica del cliente Edi: Resto del Mondo",
"Acquisti tramite reti informatiche (sito web, extranet, Edi)",
"Classe percentuale valore ordini di acquisto",
"Area geografica del fornitore: Italia",
"Area geografica del fornitore: Paesi EU",
"Area geografica del fornitore: Resto del Mondo",
"Ateco, classificazione Ateco2007",
"Macrosettore",
"Classe addetti",
" 21 reg amministrative (BZ=21; TN=22 ) ",
"Primo dominio di stima per la pubblicazione (per 27 attivit economiche)",
"Secondo dominio di stima per la pubblicazione (mac per  clad4)",
"Terzo dominio di stima per la pubblicazione (mac per reg21)",
"Dominio relativo al settore ICT che comprende le seguenti attivit economiche: 261+262+263+264+268+465+582+61+62+631+951",
"Peso da utilizzare per riporto all'universo (Asia 2013)",
"Classe di valore percentuale degli ordini di vendita online")

ricavi_Fact <- factor(DF_ICT_A2016$ricavi, 
levels=c(0, 
20000, 
50000, 
100000, 
200000, 
500000, 
1000000, 
2000000, 
4000000, 
5000000, 
10000000, 
20000000, 
50000000, 
200000000), 
labels=c("[0, 20000)", 
"[20000, 50000)", 
"[50000, 100000)", 
"[100000, 200000)", 
"[200000, 500000)", 
"[500000, 1000000)", 
"[1000000, 2000000)", 
"[2000000, 4000000)", 
"[4000000, 5000000)", 
"[5000000, 10000000)", 
"[10000000, 20000000)", 
"[20000000, 50000000)", 
"[50000000, 200000000)", 
"[200000000, + ?)")) 


A1_Fact <- factor(DF_ICT_A2016$A1, 
levels=c(0, 
1), 
labels=c("no", 
"s")) 


B1_Fact <- factor(DF_ICT_A2016$B1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


B2a_Fact <- factor(DF_ICT_A2016$B2a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


B2b_Fact <- factor(DF_ICT_A2016$B2b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


B3_Fact <- factor(DF_ICT_A2016$B3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


B4_Fact <- factor(DF_ICT_A2016$B4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


B5a_Fact <- factor(DF_ICT_A2016$B5a, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5b_Fact <- factor(DF_ICT_A2016$B5b, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5c_Fact <- factor(DF_ICT_A2016$B5c, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5d_Fact <- factor(DF_ICT_A2016$B5d, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5e_Fact <- factor(DF_ICT_A2016$B5e, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5f_Fact <- factor(DF_ICT_A2016$B5f, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


B5g_Fact <- factor(DF_ICT_A2016$B5g, 
levels=c(NA, 
1, 
2, 
3), 
labels=c("missng", 
"interni", 
"esterni", 
"attivit non svolta"), exclude=NULL) 


C1_Fact <- factor(DF_ICT_A2016$C1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C3_Fact <- factor(DF_ICT_A2016$C3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C4_Fact <- factor(DF_ICT_A2016$C4, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5), 
labels=c("missng", 
"Inferiore a  2Mbit/s", 
"Compresa tra 2Mbit/s e meno di 10Mbit/s", 
"Compresa tra 10Mbit/s e meno di 30Mbit/s", 
"Compresa tra 30Mbit/s e meno di 100Mbit/s", 
"Maggiore o uguale a 100 Mbit/s"), exclude=NULL) 


C5_Fact <- factor(DF_ICT_A2016$C5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C7a_Fact <- factor(DF_ICT_A2016$C7a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C7b_Fact <- factor(DF_ICT_A2016$C7b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C7c_Fact <- factor(DF_ICT_A2016$C7c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C8_Fact <- factor(DF_ICT_A2016$C8, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9a_Fact <- factor(DF_ICT_A2016$C9a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9b_Fact <- factor(DF_ICT_A2016$C9b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9c_Fact <- factor(DF_ICT_A2016$C9c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9d_Fact <- factor(DF_ICT_A2016$C9d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9e_Fact <- factor(DF_ICT_A2016$C9e, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9f_Fact <- factor(DF_ICT_A2016$C9f, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C9g_Fact <- factor(DF_ICT_A2016$C9g, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C10a_Fact <- factor(DF_ICT_A2016$C10a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C10b_Fact <- factor(DF_ICT_A2016$C10b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C10c_Fact <- factor(DF_ICT_A2016$C10c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C10d_Fact <- factor(DF_ICT_A2016$C10d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C11_Fact <- factor(DF_ICT_A2016$C11, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C12_Fact <- factor(DF_ICT_A2016$C12, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C13a_Fact <- factor(DF_ICT_A2016$C13a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C13b_Fact <- factor(DF_ICT_A2016$C13b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


c13c_Fact <- factor(DF_ICT_A2016$c13c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C13d_Fact <- factor(DF_ICT_A2016$C13d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a1_Fact <- factor(DF_ICT_A2016$C14a1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a2_Fact <- factor(DF_ICT_A2016$C14a2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a3_Fact <- factor(DF_ICT_A2016$C14a3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a4_Fact <- factor(DF_ICT_A2016$C14a4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a5_Fact <- factor(DF_ICT_A2016$C14a5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a6_Fact <- factor(DF_ICT_A2016$C14a6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14a7_Fact <- factor(DF_ICT_A2016$C14a7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b1_Fact <- factor(DF_ICT_A2016$C14b1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b2_Fact <- factor(DF_ICT_A2016$C14b2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b3_Fact <- factor(DF_ICT_A2016$C14b3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b4_Fact <- factor(DF_ICT_A2016$C14b4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b5_Fact <- factor(DF_ICT_A2016$C14b5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b6_Fact <- factor(DF_ICT_A2016$C14b6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14b7_Fact <- factor(DF_ICT_A2016$C14b7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c1_Fact <- factor(DF_ICT_A2016$C14c1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c2_Fact <- factor(DF_ICT_A2016$C14c2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c3_Fact <- factor(DF_ICT_A2016$C14c3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c4_Fact <- factor(DF_ICT_A2016$C14c4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c5_Fact <- factor(DF_ICT_A2016$C14c5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c6_Fact <- factor(DF_ICT_A2016$C14c6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14c7_Fact <- factor(DF_ICT_A2016$C14c7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d1_Fact <- factor(DF_ICT_A2016$C14d1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d2_Fact <- factor(DF_ICT_A2016$C14d2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d3_Fact <- factor(DF_ICT_A2016$C14d3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d4_Fact <- factor(DF_ICT_A2016$C14d4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d5_Fact <- factor(DF_ICT_A2016$C14d5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d6_Fact <- factor(DF_ICT_A2016$C14d6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14d7_Fact <- factor(DF_ICT_A2016$C14d7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e1_Fact <- factor(DF_ICT_A2016$C14e1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e2_Fact <- factor(DF_ICT_A2016$C14e2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e3_Fact <- factor(DF_ICT_A2016$C14e3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e4_Fact <- factor(DF_ICT_A2016$C14e4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e5_Fact <- factor(DF_ICT_A2016$C14e5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e6_Fact <- factor(DF_ICT_A2016$C14e6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14e7_Fact <- factor(DF_ICT_A2016$C14e7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f1_Fact <- factor(DF_ICT_A2016$C14f1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f2_Fact <- factor(DF_ICT_A2016$C14f2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f3_Fact <- factor(DF_ICT_A2016$C14f3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f4_Fact <- factor(DF_ICT_A2016$C14f4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f5_Fact <- factor(DF_ICT_A2016$C14f5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f6_Fact <- factor(DF_ICT_A2016$C14f6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14f7_Fact <- factor(DF_ICT_A2016$C14f7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g1_Fact <- factor(DF_ICT_A2016$C14g1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g2_Fact <- factor(DF_ICT_A2016$C14g2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g3_Fact <- factor(DF_ICT_A2016$C14g3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g4_Fact <- factor(DF_ICT_A2016$C14g4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g5_Fact <- factor(DF_ICT_A2016$C14g5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g6_Fact <- factor(DF_ICT_A2016$C14g6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14g7_Fact <- factor(DF_ICT_A2016$C14g7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h1_Fact <- factor(DF_ICT_A2016$C14h1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h2_Fact <- factor(DF_ICT_A2016$C14h2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h3_Fact <- factor(DF_ICT_A2016$C14h3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h4_Fact <- factor(DF_ICT_A2016$C14h4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h5_Fact <- factor(DF_ICT_A2016$C14h5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h6_Fact <- factor(DF_ICT_A2016$C14h6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14h7_Fact <- factor(DF_ICT_A2016$C14h7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i1_Fact <- factor(DF_ICT_A2016$C14i1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i2_Fact <- factor(DF_ICT_A2016$C14i2, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i3_Fact <- factor(DF_ICT_A2016$C14i3, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i4_Fact <- factor(DF_ICT_A2016$C14i4, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i5_Fact <- factor(DF_ICT_A2016$C14i5, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i6_Fact <- factor(DF_ICT_A2016$C14i6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


C14i7_Fact <- factor(DF_ICT_A2016$C14i7, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D1_Fact <- factor(DF_ICT_A2016$D1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2a_Fact <- factor(DF_ICT_A2016$D2a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2b_Fact <- factor(DF_ICT_A2016$D2b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2c_Fact <- factor(DF_ICT_A2016$D2c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2d_Fact <- factor(DF_ICT_A2016$D2d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2e_Fact <- factor(DF_ICT_A2016$D2e, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2f_Fact <- factor(DF_ICT_A2016$D2f, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D2g_Fact <- factor(DF_ICT_A2016$D2g, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D3a_Fact <- factor(DF_ICT_A2016$D3a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


D3b_Fact <- factor(DF_ICT_A2016$D3b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


E1_Fact <- factor(DF_ICT_A2016$E1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


E2a_Fact <- factor(DF_ICT_A2016$E2a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


E2b_Fact <- factor(DF_ICT_A2016$E2b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F1a_Fact <- factor(DF_ICT_A2016$F1a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F1b_Fact <- factor(DF_ICT_A2016$F1b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F1c_Fact <- factor(DF_ICT_A2016$F1c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F1d_Fact <- factor(DF_ICT_A2016$F1d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F2a_Fact <- factor(DF_ICT_A2016$F2a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


F2b_Fact <- factor(DF_ICT_A2016$F2b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H1_Fact <- factor(DF_ICT_A2016$H1, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H2_Fact <- factor(DF_ICT_A2016$H2, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 


H4a_Fact <- factor(DF_ICT_A2016$H4a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H4b_Fact <- factor(DF_ICT_A2016$H4b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H4c_Fact <- factor(DF_ICT_A2016$H4c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5a_Fact <- factor(DF_ICT_A2016$H5a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5b_Fact <- factor(DF_ICT_A2016$H5b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5c_Fact <- factor(DF_ICT_A2016$H5c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5d_Fact <- factor(DF_ICT_A2016$H5d, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5e_Fact <- factor(DF_ICT_A2016$H5e, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5f_Fact <- factor(DF_ICT_A2016$H5f, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H5g_Fact <- factor(DF_ICT_A2016$H5g, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H6_Fact <- factor(DF_ICT_A2016$H6, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H7_Fact <- factor(DF_ICT_A2016$H7, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 


H8a_Fact <- factor(DF_ICT_A2016$H8a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H8b_Fact <- factor(DF_ICT_A2016$H8b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H8c_Fact <- factor(DF_ICT_A2016$H8c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H9_Fact <- factor(DF_ICT_A2016$H9, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H10_Fact <- factor(DF_ICT_A2016$H10, 
levels=c(NA, 
1, 
2, 
3, 
4, 
5, 
6, 
7), 
labels=c("missng", 
"Meno dell1%", 
"Tra l1% e meno del 5%", 
"Tra il 5% e meno di 10%", 
"Tra il 10% e meno di 25%", 
"Tra il 25% e meno di 50%", 
"Tra il 50% e meno di 75%", 
"Dal 75% al 100%"), exclude=NULL) 


H11a_Fact <- factor(DF_ICT_A2016$H11a, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H11b_Fact <- factor(DF_ICT_A2016$H11b, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


H11c_Fact <- factor(DF_ICT_A2016$H11c, 
levels=c(NA, 
0, 
1), 
labels=c("missng", 
"no", 
"s"), exclude=NULL) 


Ateco_Fact <- factor(DF_ICT_A2016$Ateco, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22", 
"23", 
"24", 
"25", 
"26", 
"27", 
"28", 
"29", 
"30", 
"31", 
"32", 
"33", 
"35", 
"36", 
"37", 
"38", 
"39", 
"41", 
"42", 
"43", 
"45", 
"46", 
"47", 
"49", 
"50", 
"51", 
"52", 
"53", 
"55", 
"56", 
"58", 
"59", 
"60", 
"61", 
"62", 
"63", 
"64", 
"65", 
"66", 
"68", 
"69", 
"70", 
"71", 
"72", 
"73", 
"74", 
"75", 
"77", 
"78", 
"79", 
"80", 
"81", 
"82", 
"84", 
"85", 
"86", 
"87", 
"88", 
"90", 
"91", 
"92", 
"93", 
"94", 
"95", 
"96", 
"97", 
"98", 
"99"), 
labels=c("COLTIVAZIONI AGRICOLE E PRODUZIONE DI PRODOTTI ANIMALI, CACCIA E SERVIZI CONNESSI", 
"SILVICOLTURA ED UTILIZZO DI AREE FORESTALI", 
"PESCA E ACQUACOLTURA", 
"ESTRAZIONE DI CARBONE (ESCLUSA TORBA)", 
"ESTRAZIONE DI PETROLIO GREGGIO E DI GAS NATURALE", 
"ESTRAZIONE DI MINERALI METALLIFERI", 
"ALTRE ATTIVIT DI ESTRAZIONE DI MINERALI DA CAVE E MINIERE", 
"ATTIVIT DEI SERVIZI DI SUPPORTO ALL'ESTRAZIONE", 
"INDUSTRIE ALIMENTARI", 
"INDUSTRIA DELLE BEVANDE", 
"INDUSTRIA DEL TABACCO", 
"INDUSTRIE TESSILI", 
"CONFEZIONE DI ARTICOLI DI ABBIGLIAMENTO; CONFEZIONE DI ARTICOLI IN PELLE E PELLICCIA", 
"FABBRICAZIONE DI ARTICOLI IN PELLE E SIMILI", 
"INDUSTRIA DEL LEGNO E DEI PRODOTTI IN LEGNO E SUGHERO (ESCLUSI I MOBILI); FABBRICAZIONE DI ARTICOLI IN PAGLIA E MATERIALI DA INTRECCIO", 
"FABBRICAZIONE DI CARTA E DI PRODOTTI DI CARTA", 
"STAMPA E RIPRODUZIONE DI SUPPORTI REGISTRATI", 
"FABBRICAZIONE DI COKE E PRODOTTI DERIVANTI DALLA RAFFINAZIONE DEL PETROLIO", 
"FABBRICAZIONE DI PRODOTTI CHIMICI", 
"FABBRICAZIONE DI PRODOTTI FARMACEUTICI DI BASE E DI PREPARATI FARMACEUTICI", 
"FABBRICAZIONE DI ARTICOLI IN GOMMA E MATERIE PLASTICHE", 
"FABBRICAZIONE DI ALTRI PRODOTTI DELLA LAVORAZIONE DI MINERALI NON METALLIFERI", 
"METALLURGIA", 
"FABBRICAZIONE DI PRODOTTI IN METALLO (ESCLUSI MACCHINARI E ATTREZZATURE)", 
"FABBRICAZIONE DI COMPUTER E PRODOTTI DI ELETTRONICA  E OTTICA; APPARECCHI ELETTROMEDICALI, APPARECCHI DI MISURAZIONE E DI OROLOGI", 
"FABBRICAZIONE DI APPARECCHIATURE ELETTRICHE ED APPARECCHIATURE PER USO DOMESTICO NON ELETTRICHE", 
"FABBRICAZIONE DI MACCHINARI ED APPARECCHIATURE NCA", 
"FABBRICAZIONE DI AUTOVEICOLI, RIMORCHI E SEMIRIMORCHI", 
"FABBRICAZIONE DI ALTRI MEZZI DI TRASPORTO", 
"FABBRICAZIONE DI MOBILI", 
"ALTRE INDUSTRIE MANIFATTURIERE", 
"RIPARAZIONE, MANUTENZIONE ED INSTALLAZIONE DI MACCHINE ED APPARECCHIATURE", 
"FORNITURA DI ENERGIA ELETTRICA, GAS, VAPORE E ARIA CONDIZIONATA", 
"RACCOLTA, TRATTAMENTO E FORNITURA DI ACQUA", 
"GESTIONE DELLE RETI FOGNARIE", 
"ATTIVIT DI RACCOLTA, TRATTAMENTO E SMALTIMENTO DEI RIFIUTI; RECUPERO DEI MATERIALI", 
"ATTIVIT DI RISANAMENTO E ALTRI SERVIZI DI GESTIONE DEI RIFIUTI", 
"COSTRUZIONE DI EDIFICI", 
"INGEGNERIA CIVILE", 
"LAVORI DI COSTRUZIONE SPECIALIZZATI", 
"COMMERCIO ALL'INGROSSO E AL DETTAGLIO E RIPARAZIONE DI AUTOVEICOLI E MOTOCICLI", 
"COMMERCIO ALL'INGROSSO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"COMMERCIO AL DETTAGLIO (ESCLUSO QUELLO DI AUTOVEICOLI E DI MOTOCICLI)", 
"TRASPORTO TERRESTRE E TRASPORTO MEDIANTE CONDOTTE", 
"TRASPORTO MARITTIMO E PER VIE D'ACQUA", 
"TRASPORTO AEREO", 
"MAGAZZINAGGIO E ATTIVIT DI SUPPORTO AI TRASPORTI", 
"SERVIZI POSTALI E ATTIVIT DI CORRIERE", 
"ALLOGGIO", 
"ATTIVIT DEI SERVIZI DI RISTORAZIONE", 
"ATTIVIT EDITORIALI", 
"ATTIVIT DI PRODUZIONE CINEMATOGRAFICA, DI VIDEO E DI PROGRAMMI TELEVISIVI, DI REGISTRAZIONI MUSICALI E SONORE", 
"ATTIVIT DI PROGRAMMAZIONE E TRASMISSIONE", 
"TELECOMUNICAZIONI", 
"PRODUZIONE DI SOFTWARE, CONSULENZA INFORMATICA E ATTIVIT CONNESSE", 
"ATTIVIT DEI SERVIZI D'INFORMAZIONE E ALTRI SERVIZI INFORMATICI", 
"ATTIVIT DI SERVIZI FINANZIARI (ESCLUSE LE ASSICURAZIONI E I FONDI PENSIONE)", 
"ASSICURAZIONI, RIASSICURAZIONI E FONDI PENSIONE (ESCLUSE LE ASSICURAZIONI SOCIALI OBBLIGATORIE)", 
"ATTIVIT AUSILIARIE DEI SERVIZI FINANZIARI E DELLE ATTIVIT ASSICURATIVE", 
"ATTIVIT IMMOBILIARI", 
"ATTIVIT LEGALI E CONTABILIT", 
"ATTIVIT DI DIREZIONE AZIENDALE E DI CONSULENZA GESTIONALE", 
"ATTIVIT DEGLI STUDI DI ARCHITETTURA E D'INGEGNERIA; COLLAUDI ED ANALISI TECNICHE", 
"RICERCA SCIENTIFICA E SVILUPPO", 
"PUBBLICIT E RICERCHE DI MERCATO", 
"ALTRE ATTIVIT PROFESSIONALI, SCIENTIFICHE E TECNICHE", 
"SERVIZI VETERINARI", 
"ATTIVIT DI NOLEGGIO E LEASING OPERATIVO", 
"ATTIVIT DI RICERCA, SELEZIONE, FORNITURA DI PERSONALE", 
"ATTIVIT DEI SERVIZI DELLE AGENZIE DI VIAGGIO, DEI TOUR OPERATOR E SERVIZI DI PRENOTAZIONE E ATTIVIT CONNESSE", 
"SERVIZI DI VIGILANZA E INVESTIGAZIONE", 
"ATTIVIT DI SERVIZI PER EDIFICI E PAESAGGIO", 
"ATTIVIT DI SUPPORTO PER LE FUNZIONI D'UFFICIO E ALTRI SERVIZI DI SUPPORTO ALLE IMPRESE", 
"AMMINISTRAZIONE PUBBLICA E DIFESA; ASSICURAZIONE SOCIALE OBBLIGATORIA", 
"ISTRUZIONE", 
"ASSISTENZA SANITARIA", 
"SERVIZI DI ASSISTENZA SOCIALE RESIDENZIALE", 
"ASSISTENZA SOCIALE NON RESIDENZIALE", 
"ATTIVIT CREATIVE, ARTISTICHE E DI INTRATTENIMENTO", 
"ATTIVIT DI BIBLIOTECHE, ARCHIVI, MUSEI ED ALTRE ATTIVIT CULTURALI", 
"ATTIVIT RIGUARDANTI LE LOTTERIE, LE SCOMMESSE, LE CASE DA GIOCO", 
"ATTIVIT SPORTIVE, DI INTRATTENIMENTO E DI DIVERTIMENTO", 
"ATTIVIT DI ORGANIZZAZIONI ASSOCIATIVE", 
"RIPARAZIONE DI COMPUTER E DI BENI PER USO PERSONALE E PER LA CASA", 
"ALTRE ATTIVIT DI SERVIZI PER LA PERSONA", 
"ATTIVIT DI FAMIGLIE E CONVIVENZE COME DATORI DI LAVORO PER PERSONALE DOMESTICO", 
"PRODUZIONE DI BENI E SERVIZI INDIFFERENZIATI  PER USO PROPRIO DA PARTE DI  FAMIGLIE E CONVIVENZE", 
"ORGANIZZAZIONI ED ORGANISMI EXTRATERRITORIALI")) 


mac_Fact <- factor(DF_ICT_A2016$mac, 
levels=c("M1", 
"M2", 
"M3", 
"M4"), 
labels=c("MACROSETTORE MANIFATTURIERO", 
"MACROSETTORE ENERGIA", 
"MACROSETTORE COSTRUZIONI", 
"MACROSETTORE SERVIZI (NON FINANZIARI)")) 


clad4_Fact <- factor(DF_ICT_A2016$clad4, 
levels=c("cl1", 
"cl2", 
"cl3", 
"cl4"), 
labels=c("10-49 addetti", 
"50-99 addetti", 
"100-249 addetti", 
"250 e pi addetti")) 


reg21_Fact <- factor(DF_ICT_A2016$reg21, 
levels=c("01", 
"02", 
"03", 
"05", 
"06", 
"07", 
"08", 
"09", 
"10", 
"11", 
"12", 
"13", 
"14", 
"15", 
"16", 
"17", 
"18", 
"19", 
"20", 
"21", 
"22"), 
labels=c("Regione Piemonte", 
"Regione Valle d'Aosta", 
"Regione Lombardia", 
"Regione Veneto", 
"Regione Friuli-Venezia Giulia", 
"Regione Liguria", 
"Regione Emilia-Romagna", 
"Regione Toscana", 
"Regione Umbria", 
"Regione Marche", 
"Regione Lazio", 
"Regione Abruzzo", 
"Regione Molise", 
"Regione Campania", 
"Regione Puglia", 
"Regione Basilicata", 
"Regione Calabria", 
"Regione Sicilia", 
"Regione Sardegna", 
"Provincia Autonoma Bolzano", 
"Provincia Autonoma Trento")) 


dom1_Fact <- factor(DF_ICT_A2016$dom1, 
levels=c("N01", 
"N02", 
"N03", 
"N04", 
"N05", 
"N06", 
"N07", 
"N08", 
"N09", 
"N10", 
"N11", 
"N12", 
"N13", 
"N14", 
"N15", 
"N16", 
"N17", 
"N18", 
"N19", 
"N20", 
"N21", 
"N22", 
"N23", 
"N24", 
"N25", 
"N26", 
"N27"), 
labels=c("Dominio divisoni e gruppi Ateco 2007: 10+11+12", 
"Dominio divisoni e gruppi Ateco 2007: 13+14+15", 
"Dominio divisoni e gruppi Ateco 2007: 16+17+18", 
"Dominio divisoni e gruppi Ateco 2007: 19+20+21+22+23", 
"Dominio divisoni e gruppi Ateco 2007: 24+25", 
"Dominio divisoni e gruppi Ateco 2007: 26", 
"Dominio divisoni e gruppi Ateco 2007: 27+28", 
"Dominio divisoni e gruppi Ateco 2007: 29+30", 
"Dominio divisoni e gruppi Ateco 2007: 31+32+33", 
"Dominio divisoni e gruppi Ateco 2007: 35+36+37+38+39", 
"Dominio divisoni e gruppi Ateco 2007: 41+42+43", 
"Dominio divisoni e gruppi Ateco 2007: 45", 
"Dominio divisoni e gruppi Ateco 2007: 46", 
"Dominio divisoni e gruppi Ateco 2007: 47", 
"Dominio divisoni e gruppi Ateco 2007: 49+50+51+52", 
"Dominio divisoni e gruppi Ateco 2007: 53", 
"Dominio divisoni e gruppi Ateco 2007: 55", 
"Dominio divisoni e gruppi Ateco 2007: 56", 
"Dominio divisoni e gruppi Ateco 2007: 58", 
"Dominio divisoni e gruppi Ateco 2007: 59+60", 
"Dominio divisoni e gruppi Ateco 2007: 61", 
"Dominio divisoni e gruppi Ateco 2007: 62+63", 
"Dominio divisoni e gruppi Ateco 2007: 68", 
"Dominio divisoni e gruppi Ateco 2007: 69+70+71+72+73+74", 
"Dominio divisoni e gruppi Ateco 2007: 77+78+80+81+82", 
"Dominio divisoni e gruppi Ateco 2007: 79", 
"Dominio divisoni e gruppi Ateco 2007: 95.1")) 


dom4_Fact <- factor(DF_ICT_A2016$dom4, 
levels=c("NO_ICT", 
"SI_ICT"), 
labels=c("Non appartiene al Settore ICT", 
"Appartiene al settore ICT (Ateco 261, 262, 263, 264, 268, 465, 582, 61, 62, 631, 951)")) 


H2H7_Fact <- factor(DF_ICT_A2016$H2H7, 
levels=c(NA, 
0, 
1, 
2, 
5, 
10, 
25, 
50), 
labels=c("missing", 
"[0, 1)", 
"[1, 2)", 
"[2, 5)", 
"[5, 10)", 
"[10, 25)", 
"[25,50)", 
"[50, oltre 50)"), exclude=NULL) 

save.image (file="DF_ICT_A2016.RData")
